/*
 * This header only defines the interface between rshaperctl and the
 * rshaper module. It's not meant for user consumption
 */

#ifndef __RSHAPER_H__
#define __RSHAPER_H__

#define SIOCRSHAPERSETINFO SIOCDEVPRIVATE
#define SIOCRSHAPERGETINFO (SIOCDEVPRIVATE+1)

/*
 * Check rshaperctl.c to see how to use these
 */

struct rshaper_userinfo {
    __u32 ip;                /* Host/net this entry refers to */
    __u32 mask;              /* Netmask for this host/net */
    int   bytes_per_second;  /* Maximum byte rate required */
    int   timeout;           /* Maximum length of the queue, in seconds */
};

#endif /* __RSHAPER_H__ */
